adutil.c File Reference
`#include "config.h"`
`#include "adapter/adutil.h"`
`#include "file.h"`
`#include "log.h"`
`#include <ldns/ldns.h>`

Go to the source code of this file.

## Functions

int | adutil_readline_frm_file (FILE *fd, char *line, unsigned int *l, int keep_comments)
void | adutil_rtrim_line (char *line, int *line_len)
int | adutil_whitespace_line (char *line, int line_len)

## Function Documentation

## adutil_readline_frm_file()

int adutil_readline_frm_file | ( | FILE * | fd,
|  | char * | line,
|  | unsigned int * | l,
|  | int | keep_comments
| ) |  |

Read one line from zone file.

Definition at line 47 of file adutil.c.

References SE_ADFILE_MAXLINE.

Referenced by addns_read_rr().

## adutil_rtrim_line()

void adutil_rtrim_line | ( | char * | line,
|  | int * | line_len
| ) |  |

Definition at line 154 of file adutil.c.

Referenced by addns_read_rr().

## adutil_whitespace_line()

int adutil_whitespace_line | ( | char * | line,
|  | int | line_len
| ) |  |

Check for white space.

Definition at line 183 of file adutil.c.

Referenced by addns_read_rr().